Beefy Boxes and Bandwidth Generously Provided by pair Networks RobOMonk
good chemistry is complicated,
and a little bit messy -LW
 
PerlMonks  

Re: perl depends on perl-base (= 5.8.8-7etch6) ...

by tirwhan (Abbot)
on Nov 16, 2009 at 16:41 UTC ( #807509=note: print w/ replies, xml ) Need Help??


in reply to perl depends on perl-base (= 5.8.8-7etch6) ...

This isn't really a Perl question, rather a Knoppix (or, by extension, Debian) problem, so you may get better help at the appropriate forums. Also, installing Debian packages into a Knoppix distribution is not really recommended, it may break all sorts of things in strange and funky ways. So maybe it would be better to reinstall the perl package that came on the Knoppix disk which you used to installed your system (if your current perl is indeed broken). Lastly, really, installing packages by hand is not usually a good idea, configure apt-get correctly and use that, it'll solve all the dependency issues for you.

All that being said, if you really want to go ahead and install this particular package, you should also download the perl-modules and perl-base packages from the same location and install them at the same time (you'll possibly have to use --force-depends for that). This may introduce additional dependency problems as well as previously mentioned funkyness, so don't say I didn't warn you :-)


All dogma is stupid.


Comment on Re: perl depends on perl-base (= 5.8.8-7etch6) ...
Download Code
Re^2: perl depends on perl-base (= 5.8.8-7etch6) ...
by Albretch Mueller (Initiate) on Nov 16, 2009 at 19:07 UTC

    thank you and for the record this is what I did/you should do if you have same/similar problem:

    1) first download all these packages from your debian base in my case it was etch, so I got the from:

    http://packages.debian.org/etch/perl/

    using the closest repositories

    2) root@Knoppix:/media/hdb2/inst/sw/OO/source/ooxpkgs# ls -l total 6704 -rw-r--r-- 1 root root 87062 Oct 5 2005 libarchive-zip-perl_1.16-1 +_all.deb -rw-r--r-- 1 root root 56168 Nov 30 2006 libcompress-zlib-perl_1.42 +-2_i386.deb -rw-r--r-- 1 root root 762766 Dec 21 2008 perl-base_5.8.8-7etch6_i38 +6.deb -rw-r--r-- 1 root root 2328214 Dec 21 2008 perl-modules_5.8.8-7etch6_ +all.deb -rw-r--r-- 1 root root 3599182 Dec 21 2008 perl_5.8.8-7etch6_i386.deb root@Knoppix:/media/hdb2/inst/sw/OO/source/ooxpkgs# md5sum *.deb f893020289fe0c774fab3db2cbf62edd libarchive-zip-perl_1.16-1_all.deb 3fc7e3138b823785078535d7982d988f libcompress-zlib-perl_1.42-2_i386.de +b f667327e7cd4044ee6fb3c900b75a181 perl-base_5.8.8-7etch6_i386.deb 6d995effacda8ecc2a935dc4527ed342 perl-modules_5.8.8-7etch6_all.deb 6c141bd9447670a86b0691adafb51596 perl_5.8.8-7etch6_i386.deb

    3) then I installed them using dpkg

    root@Knoppix:~# dpkg -i perl-base_5.8.8-7etch6_i386.deb (Reading database ... 110893 files and directories currently installed +.) Preparing to replace perl-base 5.8.8-7etch6 (using perl-base_5.8.8-7et +ch6_i386.deb) ... Unpacking replacement perl-base ... Setting up perl-base (5.8.8-7etch6) ... root@Knoppix:~# dpkg -i --force-depends perl-modules_5.8.8-7etch6_all. +deb (Reading database ... 110893 files and directories currently installed +.) Preparing to replace perl-modules 5.8.8-7etch6 (using perl-modules_5.8 +.8-7etch6_all.deb) ... Unpacking replacement perl-modules ... dpkg: perl-modules: warning - conffile `etc/Net' is not a plain file o +r symlink (= `/etc/Net') Setting up perl-modules (5.8.8-7etch6) ... dpkg: perl-modules: warning - conffile `/etc/Net' is not a plain file +or symlink (= `/etc/Net') root@Knoppix:~# dpkg -i perl_5.8.8-7etch6_i386.deb (Reading database ... 110893 files and directories currently installed +.) Preparing to replace perl 5.8.8-7etch6 (using perl_5.8.8-7etch6_i386.d +eb) ... Unpacking replacement perl ... Setting up perl (5.8.8-7etch6) ... root@Knoppix:~# dpkg -i libcompress-zlib-perl_1.42-2_i386.deb (Reading database ... 110893 files and directories currently installed +.) Preparing to replace libcompress-zlib-perl 2.012-1 (using libcompress- +zlib-perl_1.42-2_i386.deb) ... Unpacking replacement libcompress-zlib-perl ... Setting up libcompress-zlib-perl (1.42-2) ... root@Knoppix:~# dpkg -i libarchive-zip-perl_1.16-1_all.deb (Reading database ... 110894 files and directories currently installed +.) Preparing to replace libarchive-zip-perl 1.18-1 (using libarchive-zip- +perl_1.16-1_all.deb) ... Unpacking replacement libarchive-zip-perl ... Setting up libarchive-zip-perl (1.16-1) ... then I got what I needed (namely Zip.pm): root@Knoppix:/media/hdb2/inst/sw/OO/source/ooxpkgs# find / -name Zip.p +m /ramdisk/usr/share/perl5/IO/Compress/Zip.pm /ramdisk/usr/share/perl5/Archive/Zip.pm find: WARNING: Hard link count is wrong for /UNIONFS/usr/share/doc: th +is may be a bug in your filesystem driver. Automatically turning on +find 's -noleaf option. Earlier results may have failed to inclu +de directories that should have been searched. /UNIONFS/usr/share/perl5/IO/Compress/Zip.pm /UNIONFS/usr/share/perl5/Archive/Zip.pm

    and the compilation went on!

    lbrtchx

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://807509]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others drinking their drinks and smoking their pipes about the Monastery: (5)
As of 2014-04-23 19:46 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (553 votes), past polls